summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/mocha/mocha-0.14.0-r1.ebuild31
-rw-r--r--dev-ruby/redcloth/redcloth-4.3.2-r2.ebuild61
-rw-r--r--dev-ruby/shoulda/shoulda-2.11.3-r3.ebuild27
-rw-r--r--dev-ruby/sqlite3/sqlite3-1.4.2-r1.ebuild2
4 files changed, 120 insertions, 1 deletions
diff --git a/dev-ruby/mocha/mocha-0.14.0-r1.ebuild b/dev-ruby/mocha/mocha-0.14.0-r1.ebuild
new file mode 100644
index 000000000000..0e4a590535db
--- /dev/null
+++ b/dev-ruby/mocha/mocha-0.14.0-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST="MOCHA_NO_DOCS=true test:units"
+
+RUBY_FAKEGEM_EXTRADOC="README.md RELEASE.md"
+
+RUBY_FAKEGEM_EXTRAINSTALL="init.rb"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Mocking and stubbing using a syntax like that of JMock and SchMock"
+HOMEPAGE="http://gofreerange.com/mocha/docs/"
+
+LICENSE="MIT"
+SLOT="0.14"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_bdepend "
+ test? ( >=dev-ruby/test-unit-2.5.1-r1 dev-ruby/introspection )"
+
+ruby_add_rdepend "dev-ruby/metaclass" #metaclass ~> 0.0.1
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/ s:^:#:' -e '1iload "lib/mocha/version.rb"' Rakefile || die
+ sed -i -e '20irequire "mocha/setup"' test/test_helper.rb || die
+}
diff --git a/dev-ruby/redcloth/redcloth-4.3.2-r2.ebuild b/dev-ruby/redcloth/redcloth-4.3.2-r2.ebuild
new file mode 100644
index 000000000000..e442db0353e6
--- /dev/null
+++ b/dev-ruby/redcloth/redcloth-4.3.2-r2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_NAME="RedCloth"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="README.rdoc CHANGELOG"
+
+RUBY_FAKEGEM_REQUIRE_PATHS="lib/case_sensitive_require"
+
+RUBY_FAKEGEM_GEMSPEC=redcloth.gemspec
+
+inherit ruby-fakegem
+
+DESCRIPTION="A module for using Textile in Ruby"
+HOMEPAGE="http://redcloth.org/"
+
+GITHUB_USER=jgarber
+SRC_URI="https://github.com/${GITHUB_USER}/redcloth/archive/v${PV}.tar.gz -> ${RUBY_FAKEGEM_NAME}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND+=" =dev-util/ragel-6*"
+
+PATCHES=( "${FILESDIR}/${P}-load-documents.patch" )
+
+ruby_add_bdepend "
+ >=dev-ruby/rake-0.8.7
+ >=dev-ruby/rake-compiler-0.7.1
+ test? ( >=dev-ruby/diff-lcs-1.1.2 )"
+
+pkg_setup() {
+ ruby-ng_pkg_setup
+
+ # Export the VERBOSE variable to avoid remapping of stdout and
+ # stderr, and that breaks because of bad interactions between
+ # echoe, Ruby and Gentoo.
+ export VERBOSE=1
+}
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' Rakefile ${PN}.gemspec || die
+ rm -f tasks/{release,rspec,rvm}.rake || die
+}
+
+each_ruby_compile() {
+ # We cannot run this manually easily, because Ragel re-generation
+ # is a mess
+ ${RUBY} -S rake compile || die "rake compile failed"
+}
diff --git a/dev-ruby/shoulda/shoulda-2.11.3-r3.ebuild b/dev-ruby/shoulda/shoulda-2.11.3-r3.ebuild
new file mode 100644
index 000000000000..905694b9e654
--- /dev/null
+++ b/dev-ruby/shoulda/shoulda-2.11.3-r3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CONTRIBUTION_GUIDELINES.rdoc README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC=shoulda.gemspec
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making tests easy on the fingers and eyes"
+HOMEPAGE="http://thoughtbot.com/projects/shoulda"
+SRC_URI="https://github.com/thoughtbot/${PN}/tarball/v${PV} -> ${P}.tar.gz"
+RUBY_S="thoughtbot-${PN}-*"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+# tests seem to be quite broken :( They require working version of
+# various rails versions. There appear to be unit and matcher tests but
+# they can't be run on their own.
+RESTRICT=test
diff --git a/dev-ruby/sqlite3/sqlite3-1.4.2-r1.ebuild b/dev-ruby/sqlite3/sqlite3-1.4.2-r1.ebuild
index 8eabff0df5b0..4733b3915fb6 100644
--- a/dev-ruby/sqlite3/sqlite3-1.4.2-r1.ebuild
+++ b/dev-ruby/sqlite3/sqlite3-1.4.2-r1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-USE_RUBY="ruby25 ruby26 ruby27"
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
RUBY_FAKEGEM_TASK_DOC="faq"
RUBY_FAKEGEM_DOCDIR="doc faq"